Create History Data Export

Creates an export task and returns a task ID.

Permission

  • Applies to both primary user and trading portfolio's API Key.
  • Permission: TRADE.

Rate Limit

  • 10 requests per second.

Request body

Send a JSON object with Content-Type: application/json.

Field nameTypeNecessaryRemarks
exportTypeIntYExport type(1-History Order,3-History Position)
startTimeStringYExport data start time(millisecond timestamp).
endTimeStringYExport data end time(millisecond timestamp).
exchangeTypeStringNDefault export all exchange data, the string supports multiple exchanges, separated by commas. Like "BINANCE, OKX"
businessTypeStringNDefault export all business data, the string supports multiple businessTypes, separated by commas. Like "SPOT, MARGIN, PERP"
isFilterCancelIntN0-All Data, 1-Filtering orders with no quantity filled. Effective only when exporting order data. Default export all orders.

Response

Field nameTypeRemarks
exportIdIntHistory Data Export ID
portfolioIdStringPortfolio ID
exportTypeStringExport type(1-History Order,3-History Position).
exchangeTypeStringExchange type(BINANCE,OKX)
businessTypeStringBusiness type(SPOT,MARGIN,PERP)
orderStateStringPlease see Order State for supported values.
startTimeLongExport data start time(millisecond timestamp)
endTimeLongExport data end time(millisecond timestamp)
isFilterCancelInt0-All Data, 1-Filtering orders with no quantity filled. Effective only when exporting order data. Default export all orders.
downloadUrlStringdownload url
statusInt1-Pending, 2-Processing, 3-Processed.
createAtLongCreate data time(millisecond timestamp)
updateAtLongUpdate data time(millisecond timestamp)

Example Request

{
    "exportType": "1",
    "startTime": "1792512000000",
    "endTime": "1794758400000",
    "exchangeType": "BINANCE",
    "businessType": "",
    "isFilterCancel": "0"
}

Example Response

{
    "code": 200000,
    "message": "Success",
    "data": {
        "exportId": "408",
        "portfolioId": "2224378439871813",
        "exportType": 1,
        "exchangeType": "BINANCE",
        "businessType": "",
        "orderState": "",
        "startTime": 1792512000000,
        "endTime": 1794758400000,
        "isFilterCancel": 0,
        "downloadUrl": "",
        "status": 1,
        "createAt": "1794842217259",
        "updateAt": "1794842217259"
    }
}
Response

Language
LoadingLoading…
Response
Choose an example:
application/json